POST
/
conversation
/
message
/
{type}
/
{value}

Authorizations

Authorization
string
headerrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

type
enum<string>
required

Type of conversation identifier. It can be "conversationId" for the conversation ID, "phone" for the phone number, or "email" for the email address.

Available options:
conversationId,
phone,
email
value
string
required

Value corresponding to the identifier type specified in "type".

Body

application/json
message
string
required

Content of the message to be sent.

agentId
string

(Optional) Agent ID, in cuid format.

channel
enum<string>

(Optional) Channel used to send the message. api, mail, website and dashboard are delivered by e-mail; the other values require the agent to have the matching integration configured.

Available options:
api,
mail,
website,
dashboard,
whatsapp,
zapi,
zapperapi,
telegram,
instagramDm,
mercadolivreDm
attachments
object[]

(Optional) List of attachments to be sent.

visitorId
string

(Optional) Visitor ID, if applicable.

contactId
string

(Optional) Contact ID, if applicable.

Response

200 - application/json
success
boolean
message
object